Subject: Re: [ANN] intel's netdev-ci for i40e

From: Jakub Kicinski <[email-masked]>
Date: Tue, 3 Feb 2026 19:08:11 -0800

On Tue, 3 Feb 2026 13:35:11 +0100 Pielech, Adrian wrote:
> Hi folks,
> 
> I'm pleased to announce that we have set up infrastructure for testing
> netdev on our e700 NIC (i40e), which extends our current engagement with
> e810 NICs(ice).
> 
> This work plugs into netdev-ci initiative by netdev maintainers to run
> kselftests against current proposed net-next-hw branch on real hardware.
> 
> Our results are here:
> https://netdev-ci-results.intel.com/i40e-results/results.json
> 
> Human friendly results browser:
> https://netdev-ci-results.intel.com/results_browser/index.html?drv=i40e

Excellent!

Looks like the GRO test result parsing is off, the test cases are
reported as for example:

	gro-test-lro-ipv6-ip-tos # XFAIL Device does not support...

Looks like this affects all your runners, I haven't noticed earlier.